#include "part.h"

     /* VERSION_DATE "2.37.05            June 10, 1998" */
#define VERSION_DATE "2.37.05            June 10, 1998"
#define VERSION      "2.37.05"

#define HOME_URL "http://www.intercom.com/~ranish"


#ifdef LANG_de		/* German  */
  #define de(x)	x;
#else
  #define de(x)
#endif

#ifdef LANG_ru		/* Russian */
  #define ru(x)	x;
#else
  #define ru(x)
#endif

#ifdef LANG_se		/* Swedish */
  #define se(x)	x;
#else
  #define se(x)
#endif

#ifdef LANG_sp		/* Spanish */
  #define sp(x)	x;
#else
  #define sp(x)
#endif

#if !defined(LANG_de) && !defined(LANG_ru) && !defined(LANG_se) && !defined(LANG_sp)
  #define en(x)	x;
#else
  #define en(x)
#endif

/*

This is a really brief list of things to consider when youre making a
translation for this program, i found out about these the not so nice 
way, which is by experience.
				Dan Olav Mikael Hultgren 

part_msg.c

    You should remember here that the lenght of some of the records
    is hardcoded, this is especially when it comes the headers. Also
    make sure that lines aren't to long, because then the program will
    just truncate it to appropiate length, cutting any leftover chracters.
	 
part.html   

    Things to consider here is that you cant change any of the HTML
    TAGS to lowercase characters because the html viewer only ( at
    the moment ) recognice uppercase TAGS, like this is valid <A HREF>
    and this isnt <A href>.
	    
    There is a limit to the length of the line, so keep it to about 74
    characters, otherwise the viewer will NOT show them making hard to
    read text.

*/


void set_messages(void)
{
 int i;

en( PROGRAM_TITLE = "Ranish Partition Manager          Version "VERSION_DATE)
se( PROGRAM_TITLE = "Ranish Partion program            Version "VERSION_DATE)
sp( PROGRAM_TITLE = "Ranish Director de Particin      Versin "VERSION_DATE)
de( PROGRAM_TITLE = "Ranish Partition Manager          Version "VERSION_DATE)
ru( PROGRAM_TITLE = "Ranish Partition Manager            "VERSION_DATE)

en( MANAGER_TITLE = "Advanced Boot Manager v"VERSION"")
se( MANAGER_TITLE = "Advanced Boot Manager v"VERSION"")
sp( MANAGER_TITLE = "Avansado Boot Manager v"VERSION"")
de( MANAGER_TITLE = "Advanced Boot Manager v"VERSION"")
ru( MANAGER_TITLE = "Advanced Boot Manager v"VERSION"")

en( HEADER_GET  = "Hard Disk ..    Getting hard disk parameters ...")
se( HEADER_GET  = "Hrd Disk ..    Lser hrd disk parametrar ...")
sp( HEADER_GET  = "Disco Duro..    Adquiriedo Disco Duro parmetros ...")
de( HEADER_GET  = "Festplatte..    Ermittle Plattenparameter ...")
ru( HEADER_GET  = " ..    訢 ࠬ ᪠ ...")

en( HEADER_EMBR = "EMBR Level..  ..... Mbytes")
se( HEADER_EMBR = "EMBR Level..  ..... Mbytes")
sp( HEADER_EMBR = "EMBR Nivel..  ..... Mbytes")
de( HEADER_EMBR = "EMBR Stufe..  ..... Mbytes")
ru( HEADER_EMBR = "EMBR Level..  ..... ")

en( HEADER_CHS  = "Hard Disk ..  ..... Mbytes  [ .... cylinders  x ... heads  x ... sectors ]")
se( HEADER_CHS  = "Hrd Disk ..  ..... Mbytes  [ .... cylinders  x ... heads  x ... sectors ]")
sp( HEADER_CHS  = "Disco Duro..  ..... Mbytes  [ .... cilindros  x ... lados  x ... sectores]")
de( HEADER_CHS  = "Festplatte..  ..... Mbytes  [ .... Zylinder   x ... Kpfe  x ... Sektoren]")
ru( HEADER_CHS  = " ..  .....    [ ....  樫  x ... ஭ x ... ᥪ ]")

en( HEADER_CHS2 = "                  File               Starting        Ending      Partition")
se( HEADER_CHS2 = "                  Fil                Startar         Slutar      Partition")
sp( HEADER_CHS2 = "                 Archivo            Comenzando     Finalizando   Particin")
de( HEADER_CHS2 = "                 Datei-              Start            Ende      Partitions")
ru( HEADER_CHS2 = "                                           ᫥        ")

en( HEADER_CHS3 = "#  Active      System Type        Cyl Side Sect   Cyl Side Sect  Size [KB]")
se( HEADER_CHS3 = "#  Aktiv       System Typ         Cyl Sida Sekt   Cyl Sida Sekt  Strlk [K]")
sp( HEADER_CHS3 = "#  Activo    Tipo de Sistema      Cil Lado Secc   Cil Lado Secc  tamao[K]")
de( HEADER_CHS3 = "# Startbar     system Typ         Zyl Kopf Sekt   Zyl Kopf Sekt  Gre[KB]")
ru( HEADER_CHS3 = "# 騩    ⥬                 ࠧ")

              /*  "1   Yes  123456789_123456789_123 9999 9999 9999  9999 9999 9999 11,111,111"  */


en( HEADER_LBA  = "Hard Disk ..  ..... Mbytes  [ Base 11,111,111  Total 11,111,111  sectors ]")
se( HEADER_LBA  = "Hrd Disk ..  ..... Mbytes  [ Base 11,111,111  Total 11,111,111  sectors ]")
sp( HEADER_LBA  = "Disco Duro..  ..... Mbytes  [ Base 11,111,111  Total 11,111,111 sectores ]")
de( HEADER_LBA  = "Festplatte..  ..... Mbytes  [Start 11,111,111  Total 11,111,111 Sektoren ]")
ru( HEADER_LBA  = " ..  .....    [  11,111,111  ᥣ 11,111,111 ᥪ஢ ]")

en( HEADER_LBA2 = "                  File           Starting  Number of     Ending  Partition")
se( HEADER_LBA2 = "                  Fil             Startar      Antal     Slutar  Partition")
sp( HEADER_LBA2 = "                 Archivo       Comenzando  Nmero de Finalizando Particin")
de( HEADER_LBA2 = "                 Datei-           Start    Anzahl der    Ende   Partitions")
ru( HEADER_LBA2 = "                                 ⢮  ᫥      ")

en( HEADER_LBA3 = "#  Active      System Type         sector    sectors     sector  Size [KB]")
se( HEADER_LBA3 = "#  Aktiv       System Typ          sektor   sektorer     sektor  Strlk [K]")
sp( HEADER_LBA3 = "#  Activo    Tipo de Sistema       sector   sectores     sector  Tamao[K]")
de( HEADER_LBA3 = "# Startbar     system Typ          Sektor   Sektoren     Sektor  Gre[KB]")
ru( HEADER_LBA3 = "# 騩    ⥬       ᥪ   ᥪ஢     ᥪ    ࠧ")

              /*  "1   Yes  123456789_123456789_123123456789 1234567890 1234567890 11,111,111"  */


                /*  Hard Disk 1  12345 MB  [ 1023 cyl x 255 heads x 63 sects = 11,111,111 sects ] */
en( HEADER_CMD = "  Hard Disk %d  %5lu MB  [ %4d cyl x %3d heads x %2d sects = %s sects ]\n\n")
se( HEADER_CMD = "  Hrd Disk %d  %5lu MB  [ %4d cyl x %3d huvuden x %2d sekts = %s sekts ]\n\n")
sp( HEADER_CMD = " Disco Duro %d  %5lu MB  [ %4d cil x %3d lados x %2d sects = %s sects ]\n\n")
de( HEADER_CMD = " Festplatte %d  %5lu MB  [ %4d Zyl x %3d Kpfe x %2d Sekt. = %s Sekt. ]\n\n")
ru( HEADER_CMD = "   %d  %5lu   [ %4d  x %3d  x %2d  = %s  ]\n\n")

en( HEADER_SYSTYPE = "  ID     File System Type          Setup  Format  PrintInfo")
se( HEADER_SYSTYPE = "  ID     Fil System Typ          Uppstt  Format  SkrivInfo")
sp( HEADER_SYSTYPE = "  ID   Archivo Sistema Tipo     Organizar Formatear ImprimirInf")
de( HEADER_SYSTYPE = "  ID     Dateisystem Typ           Setup  Format  ZeigeInfo")
ru( HEADER_SYSTYPE = "  ID    䠩 ⥬  䨣 ଠ ଠ")

en( HEADER_BOOT_MENU = "  # Dev Partitions PP  Name                       Keys")
se( HEADER_BOOT_MENU = "  # Dev Partitions PP  Namn                  Tangenter")
sp( HEADER_BOOT_MENU = "  # Dev Particiones PC Nombre                   Llaves")
de( HEADER_BOOT_MENU = "  # Dev Partitions PP  Name                      Tast.")
ru( HEADER_BOOT_MENU = "  # Dev Partitions PP  Name                       Keys")

en( MENU_HIDE     = " - Hide partition")
se( MENU_HIDE     = " - Dlj partition")
sp( MENU_HIDE     = " - Esconder Particin")
de( MENU_HIDE     = " - Verstecke Partition")
ru( MENU_HIDE     = " -  ࠧ")

en( MENU_FORMAT   = " - Format partition")
se( MENU_FORMAT   = " - Formatera partition")
sp( MENU_FORMAT   = " - Formatear Particin")
de( MENU_FORMAT   = " - Formatiere Partition")
ru( MENU_FORMAT   = " - ଠ஢ ࠧ")

en( MENU_VERIFY   = " - Verify disk surface")
se( MENU_VERIFY   = " - Verifiera disk yta")
sp( MENU_VERIFY   = " - Verificar Cara de Disco")
de( MENU_VERIFY   = " - Oberflchentest")
ru( MENU_VERIFY   = " - 䨪 孮")

en( MENU_PREVIEW  = " - Preview partition table")
se( MENU_PREVIEW  = " - Titta p partitions tabell")
sp( MENU_PREVIEW  = " - Particin Tabla Previa")
de( MENU_PREVIEW  = " - Partitionstabelle anzeigen")
ru( MENU_PREVIEW  = " - ᬮ ⠡ ࠧ")

en( MENU_INST_IPL = " - Load custom IPL")
se( MENU_INST_IPL = " - Ladda egen IPL")
sp( MENU_INST_IPL = " - Cargar adaptado IPL")
de( MENU_INST_IPL = " - Lade eigenen IPL")
ru( MENU_INST_IPL = " - ⠭ ᢮ IPL")

en( MENU_SAVE_MBR = " - Save MBR to file")
se( MENU_SAVE_MBR = " - Spara MBR till en fil")
sp( MENU_SAVE_MBR = " - Salvar MBR en un Archivo")
de( MENU_SAVE_MBR = " - Speichere MBR in Datei")
ru( MENU_SAVE_MBR = " - ࠭ MBR  䠩")

en( MENU_LOAD_MBR = " - Load MBR from file")
se( MENU_LOAD_MBR = " - Ladda MBR frn en fil")
sp( MENU_LOAD_MBR = " - Cargar MBR desde Archivo")
de( MENU_LOAD_MBR = " - Lade MBR aus Datei")
ru( MENU_LOAD_MBR = " - 㧨 MBR  䠩")

en( MENU_ADV_UNINST = " - Uninstall boot manager")
se( MENU_ADV_UNINST = " - Avinstallera boot hanterare")
sp( MENU_ADV_UNINST = " - Desinstalar boot director")
de( MENU_ADV_UNINST = " - Boot Manager deinstallieren")
ru( MENU_ADV_UNINST = " -   稪")

en( MENU_INSTALL   = " - Install compact boot manager, or A - Advanced")
se( MENU_INSTALL   = " - Installera IPL boot hanterare el A - Avancerad")
sp( MENU_INSTALL   = " - Instalar boot Director compacto, A - Avansado")
de( MENU_INSTALL   = " - Installiere Boot Manager,  oder  A - Advanced")
ru( MENU_INSTALL   = " - ⠭  稪, . - Advanced")

en( MENU_UNINSTALL = " - Uninstall boot manager by loading standard IPL")
se( MENU_UNINSTALL = " - Avinstallera genom att installera en standard IPL")
sp( MENU_UNINSTALL = " - Desinstalar boot Director para montar normal IPL")
de( MENU_UNINSTALL = " - Deinstalliere Boot Manager durch Standard IPL")
ru( MENU_UNINSTALL = " -  稪, ⠭ ⠤ DOS IPL")

en( MENU_INST_EXT = " - Install a \"non bootable\" message into EMBR")
se( MENU_INST_EXT = " - Installera ett \"icke bootbar\" meddelande i EMBR")
sp( MENU_INST_EXT = " - Instalar un \"non bootable\" mensage dentro EMBR")
de( MENU_INST_EXT = " - Installiere eine \"kein System\" Meldung im EMBR")
ru( MENU_INST_EXT = " - ⠭  \"non bootable\"  EMBR")

en( MENU_MAKE_PRI = " - Read help on how to make logical drive bootable")
se( MENU_MAKE_PRI = " - Ls hjlpen hur man gr en logisk drive bootbar")
sp( MENU_MAKE_PRI = " - Leer ayuda sobre como hacer la lgica unidad bootable")
de( MENU_MAKE_PRI = " - Von Logischer Platte booten? - Siehe Hilfetext")
ru( MENU_MAKE_PRI = " -   ⮬  ᤥ  ࠧ 㧮")


en( ERROR_MALLOC    = "Cannot allocate more memory.")
se( ERROR_MALLOC    = "Kunde inte allokera minne med malloc.")
sp( ERROR_MALLOC    = "No pudo asignar mas memoria.")
de( ERROR_MALLOC    = "Nicht gengend Speicher.")
ru( ERROR_MALLOC    = "筮 .")

en( ERROR_DISK_INFO = "Error getting hard disk parameters.")
se( ERROR_DISK_INFO = "Fel vid lsning av hrd disk parametrar.")
sp( ERROR_DISK_INFO = "Error consiguiendo parmetros del disco duro.")
de( ERROR_DISK_INFO = "Fehler beim Zugiff auf Festplatte.")
ru( ERROR_DISK_INFO = "訡  ⥭ ࠬ஢ ᪠.")

en( ERROR_FIX_FIRST = "You should correct errors first.")
se( ERROR_FIX_FIRST = "Du borde fixa partitions fel frst.")
sp( ERROR_FIX_FIRST = "Debe corregir errores primero.")
de( ERROR_FIX_FIRST = "Bitte zuerst Fehler korrigieren.")
ru( ERROR_FIX_FIRST = "砫 室 ࠢ 訡.")

en( ERROR_INH_INVAL = "You cannot save object if one of its parents is invalid or is not saved.")
se( ERROR_INH_INVAL = "Du kan inte spara objektet om en av dens frldrar r ogiltig eller inte sparad.")
sp( ERROR_INH_INVAL = "No puede salvar objeto si uno de sus parientes es invlido o no es salvado.")
de( ERROR_INH_INVAL = "Ein bergeordnetes Element ist (noch) ungltig - kann nicht speichern.")
ru( ERROR_INH_INVAL = "  ࠭ -   த⥫  ࠭  ᮤন 訡.")

en( ERROR_READ_MBR  = "Error reading MBR from disk.")
se( ERROR_READ_MBR  = "Fel vid lsning av MBR frn disk.")
sp( ERROR_READ_MBR  = "Error leyendo MBR del disco.")
de( ERROR_READ_MBR  = "Fehler beim Lesen des MBR.")
ru( ERROR_READ_MBR  = "訡  ⥭ MBR  ᪠.")

en( ERROR_SAVE_MBR  = "Error writing MBR to disk.")
se( ERROR_SAVE_MBR  = "Fel vid skrivning av MBR till disk.")
sp( ERROR_SAVE_MBR  = "Error escribiendo MBR al disco.")
de( ERROR_SAVE_MBR  = "Fehler beim Schreiben des MBR.")
ru( ERROR_SAVE_MBR  = "訡  MBR  .")

en( ERROR_READ_ADV  = "Error reading Advanced MBR from disk.")
se( ERROR_READ_ADV  = "Fel vid lsning av Avancerad MBR frn disk.")
sp( ERROR_READ_ADV  = "Error leyendo Avansado MBR desde disco.")
de( ERROR_READ_ADV  = "Lesefehler beim Advanced MBR.")
ru( ERROR_READ_ADV  = "訡  ⥭ Advanced MBR  ᪠.")

en( ERROR_SAVE_ADV  = "Error writing Advanced MBR to disk.")
se( ERROR_SAVE_ADV  = "Fel vid skrivning av Avancerad MBR till disk.")
sp( ERROR_SAVE_ADV  = "Error escribiendo Avansado MBR al diso.")
de( ERROR_SAVE_ADV  = "Schreibfehler beim Advanced MBR.")
ru( ERROR_SAVE_ADV  = "訡  Advanced MBR  .")

en( ERROR_LOAD_FILE = "Error reading from file.")
se( ERROR_LOAD_FILE = "Fel vid lsning frn fil.")
sp( ERROR_LOAD_FILE = "Error leyendo desde archivo.")
de( ERROR_LOAD_FILE = "Fehler beim Lesen der Datei.")
ru( ERROR_LOAD_FILE = "訡  ⥭  䠩.")

en( ERROR_SAVE_FILE = "Error writing to file.")
se( ERROR_SAVE_FILE = "Fel vid skrivning till fil.")
sp( ERROR_SAVE_FILE = "Error escribiendo al archivo.")
de( ERROR_SAVE_FILE = "Fehler beim Schreiben in Datei.")
ru( ERROR_SAVE_FILE = "訡    䠩.")

en( WARN_INVALID    = "Some records in the partition table are invalid.")
se( WARN_INVALID    = "En eller flera poster i partitions tabellen r ogiltiga.")
sp( WARN_INVALID    = "Algnos records en la tabla de particin son invalidos.")
de( WARN_INVALID    = "Einige Eintrge in der Tabelle sind ungltig.")
ru( WARN_INVALID    = "ࠬ    ࠧ 訡.")

en( MESG_BIOS_CYL   = "Note that BIOS reports only %d cylinders.")
se( MESG_BIOS_CYL   = "Note that BIOS reports only %d cylinders.")
sp( MESG_BIOS_CYL   = "Recuerde que BIOS reporta unicamente %d cylindros.")
de( MESG_BIOS_CYL   = "Achtung! Das BIOS meldet nur %d Zylinder.")
ru( MESG_BIOS_CYL   = "  BIOS 뢠 ⮫쪮 %d 樫.")

en( ERROR_ADV_NOSPACE = "You don't have enough free space to install Boot Manager")
se( ERROR_ADV_NOSPACE = "Du har inte tillrckligt med ledigt diskutrymme fr att installera BtMgr")
sp( ERROR_ADV_NOSPACE = "No hay suficiente espacio para instalar Boot Manager")
de( ERROR_ADV_NOSPACE = "Nicht gengend Platz fr den Boot Manager vorhanden.")
ru( ERROR_ADV_NOSPACE = "筮 ᢮  ⮡ ⠭ 稪")

en( ERROR_NO_ADV    = "You must have Boot Manager partition of sufficient size.")
se( ERROR_NO_ADV    = "Du mste ha en partition till boot hanteraren av tillrcklig storlek.")
sp( ERROR_NO_ADV    = "Usted debe tenere Boot Manager particin de suficiente medida.")
de( ERROR_NO_ADV    = "Die Boot Manager Partition ist nicht gro genug.")
ru( ERROR_NO_ADV    = " 筮 让 ࠧ  Boot Manager")

en( ERROR_ADV_BAD   = "Advanced MBR doesn't have valid signature.")
se( ERROR_ADV_BAD   = "Avancerade MBR har inte en giltig signatur.")
sp( ERROR_ADV_BAD   = "Advansado MBR no tiene firma vlida.")
de( ERROR_ADV_BAD   = "Der Advanced MBR hat keine gltige Signatur.")
ru( ERROR_ADV_BAD   = "Advanced MBR doesn't have valid signature.")

en( ERROR_ADV_VER   = "Warning! Advanced MBR has newer version than this program.")
se( ERROR_ADV_VER   = "Warning! Avancerade MBR har nyare version n detta program.")
sp( ERROR_ADV_VER   = "Warning! Advansado MBR tiene una versin mas reciente.")
de( ERROR_ADV_VER   = "Achtung! Der Advanced MBR ist neuer als dieses Programm.")
ru( ERROR_ADV_VER   = "Warning! Advanced MBR  ᮧ   ᨥ ⮩ ணࠬ")

en( ERROR_GR_FOUR   = "Cannot uninstall, because there are more than four partitions.")
se( ERROR_GR_FOUR   = "Kan ej avinstallera fr att du har mer n 4 partitioner.")
sp( ERROR_GR_FOUR   = "No puede desinstalar, porque hay mas de cuatros particines.")
de( ERROR_GR_FOUR   = "Deinstallieren unmglich - es sind mehr als vier Partitionen.")
ru( ERROR_GR_FOUR   = "   祬  ࠧ -     MBR.")

en( ERROR_NO_UNUSED = "Not enough unused entries in the partition table!")
se( ERROR_NO_UNUSED = "Inte nog med oanvnda poster i partitions tabellen!")
sp( ERROR_NO_UNUSED = "No hay suficientes entradas libres en tabla de particion!")
de( ERROR_NO_UNUSED = "Nicht gengend freie Eintrge in der Tabelle!")
ru( ERROR_NO_UNUSED = "Not enough unused entries in the partition table!")

en( ERR_BOOTREC = "   boot record")
se( ERR_BOOTREC = "   boot record")
sp( ERR_BOOTREC = "   boot record")
de( ERR_BOOTREC = "   boot record")
ru( ERR_BOOTREC = "   boot record")

en( ERR_INCONS  = "  inconsistent")
se( ERR_INCONS  = "  inkonsistent")
sp( ERR_INCONS  = " inconsistente")
de( ERR_INCONS  = "  inkonsistent")
ru( ERR_INCONS  = "ᮮ⢥⢨")

en( ERR_OVERLAP = " overlapped")
se( ERR_OVERLAP = "verlappande")
sp( ERR_OVERLAP = "    solapar")
de( ERR_OVERLAP = "berlappend")
ru( ERR_OVERLAP = "祭")

en( ERR_RANGE   = "   range")
se( ERR_RANGE   = "   range")
sp( ERR_RANGE   = "   rango")
de( ERR_RANGE   = " Bereich")
ru( ERR_RANGE   = " ࠭")

en( ERR_MBR     = "  mbr")
se( ERR_MBR     = "  mbr")
sp( ERR_MBR     = "  mbr")
de( ERR_MBR     = "  MBR")
ru( ERR_MBR     = "  mbr")

en( HINT_ADV    = "Space - edit boot menu   Ins - select system type   Enter - setup")
se( HINT_ADV    = "Space - editera meny     Ins - vlj system typ      Enter - Konfigurera")
sp( HINT_ADV    = "Space - editar men      Ins - escoje tipo sistema  Enter - instalar")
de( HINT_ADV    = "Space - Menu bearbeiten  Ins - Systemtyp whlen     Enter - Setup")
ru( HINT_ADV    = "Space - ।     Ins - 롮 ⨯ ⥬   Enter - 䨣.")

en( HINT_INS    = "Space - toggle active    Ins - select system type   Enter - setup")
se( HINT_INS    = "Space - ndra aktiv      Ins - vlj system typ      Enter - Konfigurera")
sp( HINT_INS    = "Space - cambia activo    Ins - escoje tipo sistema  Enter - instalar")
de( HINT_INS    = "Space - Startbar ein/aus Ins - Systemtyp whlen     Enter - Setup")
ru( HINT_INS    = "Space -  ⥪騩  Ins - 롮 ⨯ ⥬   Enter - 䨣.")

en( HINT_CHS    = "You can use + and - keys   Cyl=%lu..%lu  Side=0..%d  Sect=1..%d")
se( HINT_CHS    = "Du kan anvnda + och -     Cyl=%lu..%lu  Sida=0..%d  Sekt=1..%d")
sp( HINT_CHS    = "Puede usar + y - teclas    Cyl=%lu..%lu  Side=0..%d  Sect=1..%d")
de( HINT_CHS    = "Mit den Tasten + und -     Zyl=%lu..%lu  Kopf=0..%d  Sekt=1..%d")
ru( HINT_CHS    = " ᯮ짮 +  -   =%lu..%lu  =0..%d  =1..%d")

en( HINT_LBA    = "You can use + and - keys   Starting=%lu..%lu   Sectors=1..%lu")
se( HINT_LBA    = "Du kan anvnda + och -     Starting=%lu..%lu   Sektorer=1..%lu")
sp( HINT_LBA    = "Puede usar + y - teclas    Comenzando=%lu..%lu   Sectores=1..%lu")
de( HINT_LBA    = "Mit den Tasten + und -     Start=%lu..%lu   Sektoren=1..%lu")
ru( HINT_LBA    = " ᯮ짮 +  -   砫=%lu..%lu   ⢮=1..%lu")

en( HINT_RETURN = "    Press ESC to return from preview mode")
se( HINT_RETURN = "    Tryck ESC fr att tervnda frn frhandsvisning")
sp( HINT_RETURN = "    Presione ESC para regresar al modo previo")
de( HINT_RETURN = "    ESC um den Anzeigemodus zu beenden")
ru( HINT_RETURN = "     ESC  ")

en( MESG_MBR_SAVED  = "MBR was saved to hard disk.")
se( MESG_MBR_SAVED  = "MBR r sparad till hrd disk.")
sp( MESG_MBR_SAVED  = "MBR fue guardado en el disco duro.")
de( MESG_MBR_SAVED  = "MBR wurde geschrieben.")
ru( MESG_MBR_SAVED  = "MBR ࠭  .")

en( MESG_FILE_SAVED = "MBR was saved to file.")
se( MESG_FILE_SAVED = "MBR r sparad till fil.")
sp( MESG_FILE_SAVED = "MBR fue guardado al archivo.")
de( MESG_FILE_SAVED = "MBR wurde gespeichert.")
ru( MESG_FILE_SAVED = " ࠭  .")

en( MESG_FILE_LOADD = "New MBR data was loaded from file. Press F2 to save changes.")
se( MESG_FILE_LOADD = "Ny MBR data r laddad frn fil. Tryck F2 fr att spara ndringen.")
sp( MESG_FILE_LOADD = "Nuevo MBR datos cargado del archivo. Presione F2 para guardar cambios.")
de( MESG_FILE_LOADD = "Neuer MBR wurde eingeladen. F2 um ihn zu schreiben.")
ru( MESG_FILE_LOADD = " MBR 㦥  .  F2 ⮡  .")

en( MESG_MBR_SAVED2 = "New MBR data was loaded from file.\nMBR was saved to hard disk.")
se( MESG_MBR_SAVED2 = "Ny MBR data r laddad frn fil.\nMBR r sparad till hrd disk.")
sp( MESG_MBR_SAVED2 = "Nuevo MBR datos cargado del archivo.\nMBR fue guardado en el disco duro.")
de( MESG_MBR_SAVED2 = "Neuer MBR wurde eingeladen.\nMBR wurde geschrieben.")
ru( MESG_MBR_SAVED2 = " MBR 㦥  .\nMBR ࠭  .")


en( MESG_INSTALL    = "New IPL code was installed in memory. Press F2 to save changes.")
se( MESG_INSTALL    = "Ny IPL kod r installerad i minnet. Tryck F2 fr att spara ndringen.")
sp( MESG_INSTALL    = "Nueva IPL codigo instalado en memoria. Presione F2 para guardar cambios.")
de( MESG_INSTALL    = "Neuer IPL Code wurde geladen. F2 um ihn zu schreiben.")
ru( MESG_INSTALL    = " IPL ⠭  .  F2 ⮡  .")

en( MESG_UNINSTALL  = "Standard IPL code was installed in memory. Press F2 to save changes.")
se( MESG_UNINSTALL  = "Standard IPL r installerad i minnet. Tryck F2 fr att spara ndringen.")
sp( MESG_UNINSTALL  = "Standard IPL instalado en memoria. Presione F2 para guardar cambios.")
de( MESG_UNINSTALL  = "Standard IPL Code wurde geladen. F2 um ihn zu schreiben.")
ru( MESG_UNINSTALL  = "⠭ IPL ⠭  .  F2 ⮡  .")

en( MESG_NOT_SAVED  = "MBR was modified. You have to SAVE or UNDO changes first.")
se( MESG_NOT_SAVED  = "MBR r modifierad. Du mste SPARA eller UNDO frndringarna frst.")
sp( MESG_NOT_SAVED  = "MBR fue modificado. Debe guardar or deshacer cambios primero.")
de( MESG_NOT_SAVED  = "MBR wurde verndert. Zuerst Sichern oder nderungen zurcknehmen.")
ru( MESG_NOT_SAVED  = "MBR .  ᭠砫 SAVE  UNDO.")

en( MESG_LOGICAL = "Logical drives:\n\n")
se( MESG_LOGICAL = "Logiska enheter:\n\n")
sp( MESG_LOGICAL = "Logical drives:\n\n")
de( MESG_LOGICAL = "Logische Platten:\n\n")
ru( MESG_LOGICAL = "᪨ ᪨:\n\n")

en( MESG_DIFFERENT      = "Differences found !!!")
se( MESG_DIFFERENT      = "Skillnad funnen !!!")
sp( MESG_DIFFERENT      = "Diferencias encontradas !!!")
de( MESG_DIFFERENT      = "Unterschiede gefunden !!!")
ru( MESG_DIFFERENT      = " ࠧ !!!")

en( MESG_NO_DIFFERENCES = "No differences found.")
se( MESG_NO_DIFFERENCES = "Ingen skillnad funnen.")
sp( MESG_NO_DIFFERENCES = "No diferencias encontradas.")
de( MESG_NO_DIFFERENCES = "Keine Unterschiede gefunden.")
ru( MESG_NO_DIFFERENCES = "稩  .")

en( HTML_DOC_EMPTY = "\nDocument is empty.\n")
se( HTML_DOC_EMPTY = "\nDokumentet r tomt.\n")
sp( HTML_DOC_EMPTY = "\nDocumento esta vacio.\n")
de( HTML_DOC_EMPTY = "\nDas Dokument ist leer.\n")
ru( HTML_DOC_EMPTY = "\n㬥 ⮩.\n")

en( HTML_NOT_FOUND = "Reference %s not found")
se( HTML_NOT_FOUND = "Referens %s icke funnen")
sp( HTML_NOT_FOUND = "Referencia %s no encontrada")
de( HTML_NOT_FOUND = "Referenzmarke %s nicht gefunden")
ru( HTML_NOT_FOUND = " %s   ")

en( HTML_ERROR_READ = "Error reading file %s")
se( HTML_ERROR_READ = "Fel vid lsning av fil %s")
sp( HTML_ERROR_READ = "Error leyendo archivo %s")
de( HTML_ERROR_READ = "Fehler beim Lesen der Datei %s")
ru( HTML_ERROR_READ = "訡  ⥭  䠩 %s")

en( ERROR_NO_SETUP  = "Setup module is not available for this file system.")
se( ERROR_NO_SETUP  = "Konfigurations modul r inte tillgnglig fr detta fil system.")
sp( ERROR_NO_SETUP  = "Modulo de instalacin no esta disponible para este archivo.")
de( ERROR_NO_SETUP  = "Kein Setup Modul fr dieses Dateisystem vorhanden.")
ru( ERROR_NO_SETUP  = "  䨣樨 ⮩ 䠩 ⥬   .")

en( ERROR_NO_FORMAT = "Format module is not available for this file system.")
se( ERROR_NO_FORMAT = "Format modul r inte tillgnglig fr detta fil system.")
sp( ERROR_NO_FORMAT = "Modulo de formateo no esta disponible para este archivo de sistema.")
de( ERROR_NO_FORMAT = "Kein Formatierungsmodul fr dieses Dateisystem vorhanden.")
ru( ERROR_NO_FORMAT = "  ଠ஢ ⮩ 䠩 ⥬   .")
 
en( PROMPT_FILE    = "Enter file name: ")
se( PROMPT_FILE    = "Skriv fil namn: ")
sp( PROMPT_FILE    = "Entar nombre del archivo: ")
de( PROMPT_FILE    = "Dateiname: ")
ru( PROMPT_FILE    = "  䠩: ")

en( PROMPT_FSTYPE  = "Enter file system id: ")
se( PROMPT_FSTYPE  = "Skriv fil system id: ")
sp( PROMPT_FSTYPE  = "Entrar el id del archivo del systema: ")
de( PROMPT_FSTYPE  = "Dateisystem ID: ")
ru( PROMPT_FSTYPE  = " ᭠  ⥬: ")

en( PROMPT_FORMAT  = "Optional format arguments: ")
se( PROMPT_FORMAT  = "Ytterligare formaterings argument: ")
sp( PROMPT_FORMAT  = "Argumentos de formato opcional: ")
de( PROMPT_FORMAT  = "Optionale Formatparameter: ")
ru( PROMPT_FORMAT  = "   ଠ, ᫨ : ")


en( MESG_CLEANING   = "^Cleaning...                                        Press ESC to cancel")
se( MESG_CLEANING   = "^Rensar...                                    Tryck ESC fr att avbryta")
sp( MESG_CLEANING   = "^Borrando...                                 Presione ESC para cancelar")
de( MESG_CLEANING   = "^Rume auf...                                         Abbrechen mit ESC")
ru( MESG_CLEANING   = "^⨬...                                        ESC  ⬥")

en( MESG_VERIFYING  = "^Verifying...                                       Press ESC to cancel")
se( MESG_VERIFYING  = "^Verifierar...                                Tryck ESC fr att avbryta")
sp( MESG_VERIFYING  = "^Verificando...                              Presione ESC para cancelar")
de( MESG_VERIFYING  = "^Verifiziere...                                       Abbrechen mit ESC")
ru( MESG_VERIFYING  = "^...                                   ESC  ⬥")

en( MESG_FORMATTING = "^Formatting...                                      Press ESC to cancel")
se( MESG_FORMATTING = "^Formatterar...                               Tryck ESC fr att avbryta")
sp( MESG_FORMATTING = "^Formatiando...                              Presione ESC para cancelar")
de( MESG_FORMATTING = "^Formatiere...                                        Abbrechen mit ESC")
ru( MESG_FORMATTING = "^ଠ...                                    ESC  ⬥")

en( MESG_FORMAT_OK       = "Format completed.")
se( MESG_FORMAT_OK       = "Formattering slutfrd.")
sp( MESG_FORMAT_OK       = "Formato completo.")
de( MESG_FORMAT_OK       = "Formatieren beendet.")
ru( MESG_FORMAT_OK       = "ଠ 襭.")

en( WARN_FORMAT_CANCEL   = "Format canceled by user.")
se( WARN_FORMAT_CANCEL   = "Formattering avbruten av anvndare.")
sp( WARN_FORMAT_CANCEL   = "Formato cancelado por usuario.")
de( WARN_FORMAT_CANCEL   = "Formatierung abgebrochen.")
ru( WARN_FORMAT_CANCEL   = "ଠ ⬥ 짮⥫.")

en( ERROR_FORMAT_FAILED  = "Format failed.")
se( ERROR_FORMAT_FAILED  = "Formattering misslyckades.")
sp( ERROR_FORMAT_FAILED  = "Formato fallo.")
de( ERROR_FORMAT_FAILED  = "Formatierung fehlgeschlagen.")
ru( ERROR_FORMAT_FAILED  = "ଠ஢  﫮.")


en( MESG_VERIFY_OK       = "Verification completed. No bad sectors found.")
se( MESG_VERIFY_OK       = "Verifiering avslutad. Inga dliga sektorer funna.")
sp( MESG_VERIFY_OK       = "Verificacin completa. No encontro sectores malos.")
de( MESG_VERIFY_OK       = "Oberflchentest beendet. Keine Fehler gefunden.")
ru( MESG_VERIFY_OK       = "䨪 襭.  ᥪ஢ .  .")

en( WARN_VERIFY_CANCEL   = "Verification canceled by user.")
se( WARN_VERIFY_CANCEL   = "Verifiering avbruten av anvndare.")
sp( WARN_VERIFY_CANCEL   = "Verificacin cancelada por usuario.")
de( WARN_VERIFY_CANCEL   = "Oberflchentest abgebrochen.")
ru( WARN_VERIFY_CANCEL   = "䨪 ⬥ 짮⥫.")

en( ERROR_VERIFY_FAILED  = "One or more bad sectors found on disk.")
se( ERROR_VERIFY_FAILED  = "En eller flera dliga sektorer funna p disken.")
sp( ERROR_VERIFY_FAILED  = "Uno  mas sectores malos encontrados en el disco.")
de( ERROR_VERIFY_FAILED  = "Ein oder mehrere fehlerhafte Sektoren gefunden.")
ru( ERROR_VERIFY_FAILED  = "   ᥪ ᡮ.")
 

en( ERROR_FORMAT_GEN     = "General failure formatting the disk.")
se( ERROR_FORMAT_GEN     = "Generellt misslyckande att formattera disken.")
sp( ERROR_FORMAT_GEN     = "Error general formatiando el dico.")
de( ERROR_FORMAT_GEN     = "Schwerer Fehler beim Formatieren.")
ru( ERROR_FORMAT_GEN     = "General failure formatting the disk.")

en( ERROR_FORMAT_WIN95   = "You must exit to Windows 95's DOS Prompt for destructive format.")
se( ERROR_FORMAT_WIN95   = "Du mste g ut i DOS Prompt fr en destruktiv formattering.")
sp( ERROR_FORMAT_WIN95   = "Ud. debe salir de Windows 95 DOS Prompt para destruccin de formato.")
de( ERROR_FORMAT_WIN95   = "Nur im Windows 95 Eingabemodus kann vollstndig Formatiert werden.")
ru( ERROR_FORMAT_WIN95   = "    Windows 95  DOS Prompt  ⠪ ⨯ ଠ.")

en( ERROR_FORMAT_EMPTY   = "You cannot format or verify empty partition.")
se( ERROR_FORMAT_EMPTY   = "Du kan inte formattera eller verifiera tom partition.")
sp( ERROR_FORMAT_EMPTY   = "Ud. no puede formatear  verificar particin vacia.")
de( ERROR_FORMAT_EMPTY   = "Befehl fr leere Partitionen nicht ausfhrbar.")
ru( ERROR_FORMAT_EMPTY   = " ࠧ  ଠ     .")

en( ERROR_FORMAT_FRACTION = "Cannot format partition with fractional sides on the ends.")
se( ERROR_FORMAT_FRACTION = "Kan inte formattera partition med splittrade sidor p slutet.")
sp( ERROR_FORMAT_FRACTION = "No puede formatear particin con lados fracionales en el final.")
de( ERROR_FORMAT_FRACTION = "Partition mit losen Enden kann nicht formatiert werden.")
ru( ERROR_FORMAT_FRACTION = "    ஡ ஭  .")
 

en( IPL_VIRUS   = "Check for MBR viruses ..")
se( IPL_VIRUS   = "Kolla MBR virusar ......")
sp( IPL_VIRUS   = "Verificar MBR virus ....")
de( IPL_VIRUS   = "Prfe MBR auf Viren ....")
ru( IPL_VIRUS   = "஢ઠ   .....")

en( IPL_DOTS    = "Number of running dots .")
se( IPL_DOTS    = "Prickig prompt lngd ...")
sp( IPL_DOTS    = "Puntos sucesivos .......")
de( IPL_DOTS    = "Zahl der Eingabepunkte .")
ru( IPL_DOTS    = "⢮ 祪 .....")

en( IPL_DEFAULT = "Default partition name .")
se( IPL_DEFAULT = "Standard part. namn ....")
sp( IPL_DEFAULT = "Particin inicial ......")
de( IPL_DEFAULT = "Default Partitionsname .")
ru( IPL_DEFAULT = "ᥣ । ......")

en( IPL_NOACTV  = "If no prt active boot ..")
se( IPL_NOACTV  = "Om inga prt aktiva boota")
sp( IPL_NOACTV  = "Si no prt boot activo ..")
de( IPL_NOACTV  = "Wenn kein Prt, starte ..")
ru( IPL_NOACTV  = " ⥪饣 㧨 ...")

en( MENU_ADV_OPT_TITLE    = "Menu title:"        )
se( MENU_ADV_OPT_TITLE    = "Meny titel:"        )
sp( MENU_ADV_OPT_TITLE    = "Titulo:"            )
de( MENU_ADV_OPT_TITLE    = "Menu Titel:"        )
ru( MENU_ADV_OPT_TITLE    = ":"         )

en( MENU_ADV_OPT_TIMEOUT  = "Boot menu timeout:" )
se( MENU_ADV_OPT_TIMEOUT  = "Boot meny avbrott:" )
sp( MENU_ADV_OPT_TIMEOUT  = "Finalizo boot menu:")
de( MENU_ADV_OPT_TIMEOUT  = "Boot Menu Timeout:" )
ru( MENU_ADV_OPT_TIMEOUT  = "६ :"    )

en( MENU_ADV_OPT_VIRCHECK = "Check for viruses:" )
se( MENU_ADV_OPT_VIRCHECK = "Kolla fr virus:"   )
sp( MENU_ADV_OPT_VIRCHECK = "Buscar virus:"      )
de( MENU_ADV_OPT_VIRCHECK = "Auf Viren prfen:"  )
ru( MENU_ADV_OPT_VIRCHECK = "஢ઠ  :")

en( MENU_ADV_OPT_CLEARSCR = "Clear screen:"      )
se( MENU_ADV_OPT_CLEARSCR = "Rensa skrmen:"     )
sp( MENU_ADV_OPT_CLEARSCR = "Limpiar pantalla:"  )
de( MENU_ADV_OPT_CLEARSCR = "Bildschirm lschen:")
ru( MENU_ADV_OPT_CLEARSCR = " ࠭:"     )

en( MENU_ADV_OPT_DEFAULT  = "Default boot menu:" )
se( MENU_ADV_OPT_DEFAULT  = "Standard boot meny:")
sp( MENU_ADV_OPT_DEFAULT  = "Inicial menu boot:" )
de( MENU_ADV_OPT_DEFAULT  = "Default Boot Menu:" )
ru( MENU_ADV_OPT_DEFAULT  = "砫쭮 :"    )

en( MENU_ADV_OPT_PASSWORD = "Menu password:"     )
se( MENU_ADV_OPT_PASSWORD = "Menu password:"     )
sp( MENU_ADV_OPT_PASSWORD = "Contrasena menu:"   )
de( MENU_ADV_OPT_PASSWORD = "Menu password:"     )
ru( MENU_ADV_OPT_PASSWORD = "஫:"            )


en( NAME_OS_UNUSED = "Unused")
se( NAME_OS_UNUSED = "Unused")
sp( NAME_OS_UNUSED = "Sin uso")
de( NAME_OS_UNUSED = "Leer")
ru( NAME_OS_UNUSED = " .")

en( NAME_OS_ADV    = "Advanced Boot Manager")
se( NAME_OS_ADV    = "Advanced Boot Manager")
sp( NAME_OS_ADV    = "Boot Manager Avansado")
de( NAME_OS_ADV    = "Advanced Boot Manager")
ru( NAME_OS_ADV    = "Advanced Boot Manager")

en( NAME_OS_HIDDEN = "Hidden (0xFF)")
se( NAME_OS_HIDDEN = "Gmd (0xFF)")
sp( NAME_OS_HIDDEN = "Escondido (0xFF)")
de( NAME_OS_HIDDEN = "Versteckt (0xFF)")
ru( NAME_OS_HIDDEN = "⠭ (0xFF)")

en( NAME_OS_UNKN   = "Unknown (0x%02X)         ")
se( NAME_OS_UNKN   = "Oknd (0x%02X)           ")
sp( NAME_OS_UNKN   = "No conocido (0x%02X)     ")
de( NAME_OS_UNKN   = "Unbekannt (0x%02X)       ")
ru( NAME_OS_UNKN   = " (0x%02X)     ")


en( MESG_NON_SYSTEM = "\r\nSystem is not installed."
                      "\r\nHit a key to reboot...") 
se( MESG_NON_SYSTEM = "\r\nSystem r inte installerat."
                      "\r\nTryck en tangent fr reboot...")
sp( MESG_NON_SYSTEM = "\r\nSistema no esta instalado."
                      "\r\nPresione una tecla para reiniciar...")
de( MESG_NON_SYSTEM = "\r\nKein System installiert."
                      "\r\nTaste um das System neu zu starten...") 
ru( MESG_NON_SYSTEM = "\r\n⥬ 䠩 ."
                      "\r\n   ...")


en( MESG_EXT_NONBOOT ="\r\nExtended partition is not bootable."
                      "\r\nHit a key to reboot...")
se( MESG_EXT_NONBOOT ="\r\nUtkade partitionrn r inte bootbar."
                      "\r\nTryck en tangent fr att boota om...")
sp( MESG_EXT_NONBOOT ="\r\nParticin extendida no es bootable."
                      "\r\nPresionar una tecla para reiniciar...")
de( MESG_EXT_NONBOOT ="\r\nExtended Partition ist nicht startbar."
                      "\r\nTaste um das System neu zu starten...") 
ru( MESG_EXT_NONBOOT ="\r\n७ ࠧ  㧮."
                      "\r\n   ...")

en( HELP_FILE_NAME = "part.htm")
se( HELP_FILE_NAME = "part.htm")
sp( HELP_FILE_NAME = "part.htm")
de( HELP_FILE_NAME = "part.htm")
ru( HELP_FILE_NAME = "part.htm")

en( HELP_CMD_LINE = 

"Ranish Partition Manager    Version "VERSION"\n\n"

"Usage: part [-q] [-d disk] [-command ...]\n\n"

" part          - Interactive mode\n"
" part -i       - Print IDE disk info\n"
" part -p       - Print partition table\n"
" part -p -r    - Print info recursively\n"
" part -a n     - Activate n-th partition\n"
" part -v n     - Verify n-th partition\n"
" part -f n ... - Format n-th partition\n"
" part -s file  - Save MBR to file\n"
" part -l file  - Load MBR from file\n"
" part -c file  - Compare MBR with file\n"
" part -Reboot  - Reboot computer\n\n"

"Product home: "HOME_URL"\n")
se( HELP_CMD_LINE      =  

"Ranish Partition Manager    Version "VERSION"\n\n"

"Anvndning: part [-q] [-d disk] [-kommand ...]\n\n"

" part          - Interaktivt lge\n"
" part -i       - Skriv ut IDE disk info\n"
" part -p       - Skriv ut partition tabell\n"
" part -p -r    - Skriv ut info rekursivt\n"
" part -a n     - Aktivera n-th partition\n"
" part -v n     - Verifiera n-th partition\n"
" part -f n ... - Formattera n-th partition\n"
" part -s fil   - Spara MBR till en fil\n"
" part -l fil   - Ladda MBR frn en fil\n"
" part -c file  - Jmfr MBR med fil\n"
" part Reboot   - Boota om datorn\n\n"

"Produkt hem: "HOME_URL"\n")
sp( HELP_CMD_LINE = 

"Ranish Partition Manager    Versin "VERSION"\n\n"

"Usage: part [-q] [-d disk] [-command ...]\n\n"

" part          - Modo Interactivo \n"
" part -i       - Imprimir disco info IDE\n"
" part -p       - Imprimir tabla de particin\n"
" part -p -r    - Imprimir info recursivamente\n"
" part -a n     - Activar n-ava particin\n"
" part -v n     - Verificar n-ava particin\n"
" part -f n ... - Formatear n-ava particin\n"
" part -s file  - Guardar MBR en un archivo\n"
" part -l file  - Cargar MBR de un archivo\n"
" part -c file  - Compare MBR con archivo\n"
" part -Reboot  - Reboot computadora\n\n"

"Product home: "HOME_URL"\n")
de( HELP_CMD_LINE = 

"Ranish Partition Manager    Version "VERSION"\n\n"

"Aufruf: part [-q] [-d Platte] [-Kommando ...]\n\n"

" part          - Interaktiver Modus\n"
" part -i       - IDE Infos anzeigen\n"
" part -p       - Partitionstabelle anzeigen\n"
" part -p -r    - Alle Partitionstabellen anzeigen\n"
" part -a n     - Mache n-te Partition startbar\n"
" part -v n     - berprfe n-te Partition\n"
" part -f n ... - Formatiere n-te Partition\n"
" part -s Datei - Speichere MBR in eine Datei\n"
" part -l Datei - Lade MBR aus einer Datei\n"
" part -c Datei - Vergleiche MBR mit Datei\n"
" part -Reboot  - Rechner neu starten\n\n"

"Bezugsquelle: "HOME_URL"\n")
ru( HELP_CMD_LINE = 

"Ranish Partition Manager    Version "VERSION"\n\n"

"Usage: part [-q] [-d disk] [-command ...]\n\n"

" part          - ࠪ⨢ ०"
" part -i       -  IDE disk info\n"
" part -p       -  ⠡ ࠧ\n"
" part -p -r    -  ,  \n"
" part -a n     -  ࠧ n ⥪騬 (⨢)\n"
" part -a n     - ⨢஢ n- ࠧ\n"
" part -v n     - ஢ n- ࠧ\n"
" part -f n ... - ଠ஢ n- ࠧ\n"
" part -s file  - ࠭ MBR  䠩\n"
" part -l file  - 㧨 MBR  䠩\n"
" part -c file  - ࠢ MBR  䠩\n"
" part -Reboot  - ॣ㧨 \n\n"

"Product home: "HOME_URL"\n")

 i=0;
 os_desc[i].name = NAME_OS_UNUSED;
 while( os_desc[i].os_id!=OS_HIDDEN ) i++;
 os_desc[i].name = NAME_OS_HIDDEN;
 while( os_desc[i].os_id!=OS_ADV ) i++;
 os_desc[i].name = NAME_OS_ADV;
 while( os_desc[i].os_id!=OS_UNKN ) i++;
 os_desc[i].name = NAME_OS_UNKN;

}/* set_messages */
